Loading...
Searching...
No Matches
piola_fem_hdiv< T >

## Detailed Description

template<class T>
class rheolef::piola_fem_hdiv< T >

Definition at line 74 of file piola_fem_hdiv.h.

Inheritance diagram for piola_fem_hdiv< T >:

## Public Types

typedef piola_fem_rep< T > | base
typedef base::value_type | value_type
Public Types inherited from piola_fem_rep< T >
typedef T | value_type
typedef point_basic< T >::size_type | size_type

## Public Member Functions

| piola_fem_hdiv ()
std::string | name () const
void | transform (const piola< T > &p, const point_basic< T > &hat_u, point_basic< T > &u) const
void | inv_transform (const piola< T > &p, const point_basic< T > &u, point_basic< T > &hat_u) const
void | grad_transform (const piola< T > &p, const point_basic< T > &hat_u, const tensor_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor_basic< T > &grad_u) const
Public Member Functions inherited from piola_fem_rep< T >
| piola_fem_rep ()
virtual | ~piola_fem_rep ()
virtual bool | transform_need_piola () const
virtual void | transform (const piola< T > &p, const T &hat_u, T &u) const
virtual void | inv_transform (const piola< T > &p, const T &u, T &hat_u) const
virtual void | grad_transform (const piola< T > &p, const T &hat_u, const point_basic< T > &hat_grad_u, const details::differentiate_option &gopt, point_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor_basic< T > &hat_u, tensor_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor_basic< T > &u, tensor_basic< T > &hat_u) const
virtual void | grad_transform (const piola< T > &p, const tensor_basic< T > &hat_u, const tensor3_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor3_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor3_basic< T > &hat_u, tensor3_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor3_basic< T > &u, tensor3_basic< T > &hat_u) const
virtual void | grad_transform (const piola< T > &p, const tensor3_basic< T > &hat_u, const tensor4_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor4_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor4_basic< T > &hat_u, tensor4_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor4_basic< T > &u, tensor4_basic< T > &hat_u) const

## Member Typedef Documentation

## base

template<class T>

typedef piola_fem_rep<T> base

Definition at line 76 of file piola_fem_hdiv.h.

## value_type

template<class T>

typedef base::value_type value_type

Definition at line 77 of file piola_fem_hdiv.h.

## Constructor & Destructor Documentation

## piola_fem_hdiv()

template<class T>

piola_fem_hdiv | ( |  | ) |

Definition at line 78 of file piola_fem_hdiv.h.

## Member Function Documentation

## name()

template<class T>

std::string name | ( |  | ) | const

virtual

Implements piola_fem_rep< T >.

Definition at line 79 of file piola_fem_hdiv.h.

## transform()

template<class T>

void transform | ( | const piola< T > & | p,
|  | const point_basic< T > & | hat_u,
|  | point_basic< T > & | u ) const

virtual

Reimplemented from piola_fem_rep< T >.

Definition at line 46 of file piola_fem_hdiv.cc.

## inv_transform()

template<class T>

void inv_transform | ( | const piola< T > & | p,
|  | const point_basic< T > & | u,
|  | point_basic< T > & | hat_u ) const

virtual

Reimplemented from piola_fem_rep< T >.

Definition at line 56 of file piola_fem_hdiv.cc.

## grad_transform()

template<class T>

void grad_transform | ( | const piola< T > & | p,
|  | const point_basic< T > & | hat_u,
|  | const tensor_basic< T > & | hat_grad_u,
|  | const details::differentiate_option & | gopt,
|  | tensor_basic< T > & | grad_u ) const

virtual

Reimplemented from piola_fem_rep< T >.

Definition at line 66 of file piola_fem_hdiv.cc.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/piola_fem_hdiv.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/piola_fem_hdiv.cc